#![deny(rust_2018_idioms)]

pub mod builder;
pub mod elements;
pub mod guihandler;
pub mod keyboard;
pub mod states;
pub mod tab_control;

mod context_interface;
mod controller_button;
mod guidirection;
mod mousebutton;
pub mod prelude;

pub type CustomCallback<I, O> = dyn Fn(I) -> anyhow::Result<O> + Send + Sync;
